Package: aebdata
Title: Access Data from the Atlas do Estado Brasileiro
Version: 0.1.4
Authors@R: 
    person("Hugo", "Macedo", , "aebdata@hhmace.do",
           role = c("aut", "cre", "cph"))
Description: Facilitates access to the data from the Atlas do Estado Brasileiro
    (<https://www.ipea.gov.br/atlasestado/>), maintained by the Instituto de
    Pesquisa Econômica Aplicada (Ipea). It allows users to search for specific
    series, list series or themes, and download data when available.
License: GPL (>= 3)
Encoding: UTF-8
RoxygenNote: 7.3.2
Depends: R (>= 4.2.0)
Suggests: knitr, rmarkdown, stringi, testthat (>= 3.0.0)
Config/testthat/edition: 3
URL: https://github.com/ipea/aebdata
BugReports: https://github.com/ipea/aebdata/issues
Imports: httr2, readr, rvest
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2025-02-03 17:29:48 UTC; B12168223793
Author: Hugo Macedo [aut, cre, cph]
Maintainer: Hugo Macedo <aebdata@hhmace.do>
Repository: CRAN
Date/Publication: 2025-02-03 17:50:02 UTC
Built: R 4.3.3; ; 2025-02-15 13:49:44 UTC; unix

Package: aebdata
Title: Access Data from the Atlas do Estado Brasileiro
Version: 0.1.6
Authors@R: 
    person("Hugo", "Macedo", , "aebdata@hhmace.do",
           role = c("aut", "cre", "cph"))
Description: Facilitates access to the data from the Atlas do Estado Brasileiro
    (<https://www.ipea.gov.br/atlasestado/>), maintained by the Instituto de
    Pesquisa Econômica Aplicada (Ipea). It allows users to search for specific
    series, list series or themes, and download data when available.
License: GPL (>= 3)
Encoding: UTF-8
Depends: R (>= 4.2.0)
Suggests: knitr, rmarkdown, stringi, testthat (>= 3.0.0)
Config/testthat/edition: 3
URL: https://github.com/ipea/aebdata
BugReports: https://github.com/ipea/aebdata/issues
Imports: cli, httr2, readr, rvest
VignetteBuilder: knitr
Config/roxygen2/version: 8.0.0
NeedsCompilation: no
Packaged: 2026-05-26 22:17:30 UTC; B12168223793
Author: Hugo Macedo [aut, cre, cph]
Maintainer: Hugo Macedo <aebdata@hhmace.do>
Repository: CRAN
Date/Publication: 2026-05-27 07:00:27 UTC
Built: R 4.5.2; ; 2026-05-27 07:42:20 UTC; unix

<!-- README.md is generated from README.Rmd. Please edit that file -->

# aebdata

<!-- badges: start -->

[![R-CMD-check](https://github.com/ipea/aebdata/actions/workflows/R-CMD-check.yaml/badge.svg)](https://github.com/ipea/aebdata/actions/workflows/R-CMD-check.yaml)
<!-- badges: end -->

The package aebdata is part of an effort by the [Atlas do Estado
Brasileiro](https://www.ipea.gov.br/atlasestado/) to facilitate people’s
access to Brazilian data so that anyone can conduct their analysis. The
data, available in .csv format within the series, can now be downloaded
directly from R.

## Installation

There are three methods to install the aebdata package: one from CRAN
and two from [GitHub](https://github.com/):

``` r
# CRAN

install.packages("aebdata")

# GitHub

# The first is a more verbose and human-readable way, using pak:

# install.packages("pak")
pak::pkg_install("ipea/aebdata")

# The second is a lighter and more programmatic version:

# install.packages("remotes")
remotes::install_github("ipea/aebdata")
```

#' Get series values
#'
#' The function `get_series()` is the main function of this package. Its goal
#' is to facilitate direct access to the data published in the Atlas do Estado
#' Brasileiro so that the user can work with them as they wish.
#'
#' If the parameter used is for just one series, the result will be a data.frame
#' containing the requested information. Now, if the parameter refers to more
#' than one series, the return will be a list of data.frames, with each
#' data.frame corresponding to a series.
#'
#' @param series_id,series_title The series ids or titles to download
#'
#' @return A data.frame or a list containing the data from the series
#' @export
#'
#' @examplesIf aebdata:::test_connection_aeb()
#' # Get the series 230 and print the head
#' serie_230 <- get_series(series_id = 230)
#' head(serie_230)
#'
#' # Get the series from 230 to 232 and print the head of the 232
#' \donttest{
#' series <- get_series(series_id = 230:232)
#' head(series[["232"]])
#' }

get_series <- function(series_id = NULL, series_title = NULL) {

  # Check if both series_id and serie_title are empty
  if (is.null(series_id) & is.null(series_title)) {

    stop("Provide a series_id or a series_title", call. = FALSE)

  } else {

    # Check connection
    if(!test_connection_aeb()) {

      cli::cli_alert_danger(
        "Could not connect. Please, check your connection or try again later."
      )

    } else {

      # List all series
      df_series <- "https://www.ipea.gov.br/atlasestado/api/v1/series" |>
        httr2::request() |>
        httr2::req_perform() |>
        httr2::resp_body_json() |>
        # Select only the title and id to avoid problems with subthemes
        lapply(`[`, c("titulo", "id")) |>
        do.call(rbind.data.frame, args = _)

      names(df_series) <- c("series_title", "series_id")

      # Check if at least one theme_id or theme_title is correct
      if (length(c(intersect(series_id, df_series$series_id),
                   intersect(series_title, df_series$series_title))) == 0) {
        if (is.null(series_id) & !is.null(series_title)) {
          stop("None of the series_title's exist", call. = FALSE)
        } else if (!is.null(series_id) & is.null(series_title)) {
          stop("None of the series_id's exist", call. = FALSE)
        } else if (!is.null(series_id) & !is.null(series_title)) {
          stop("None of the series_id's and series_title's exist",
               call. = FALSE)
        }
      }

      # Check for missing values
      if (length(setdiff(series_id, df_series$series_id) > 0)) {
        paste(
          "Values of series_id that don't exist:",
          paste(setdiff(series_id, df_series$series_id), collapse = ", ")
        ) |>
          warning()
      }
      if (length(setdiff(series_title, df_series$series_title) > 0)) {
        paste(
          "Values of series_title that don't exist:",
          paste(setdiff(series_title, df_series$series_title), collapse = ", ")
        ) |>
          warning()
      }

      # Filter the selected series
      df_series <- df_series[df_series$series_id %in% series_id |
                               df_series$series_title %in% series_title, ]

      # If is just one valid series
      if (nrow(df_series) == 1) {

        # Try to get the files
        result <- get_series_csv(series_id = df_series$series_id)

        # If there is no file
        if (is.null(result)) {

          paste0(
            "The following series don't have any data available:\n id  title\n",
            paste(
              formatC(df_series$series_id, digits = 3),
              substr(df_series$series_title, 1, 65)
            )
          )|>
            stop(call. = FALSE)

        } else {

          # Return the files if they exist
          return(result)

        }

      } else {
        # If there are more than one valid series

        # Get values for each one
        ls_series <- df_series$series_id |>
          lapply(function(id) try(get_series_csv(series_id = id)))

        # Use the ids as names to identify the series
        names(ls_series) <- df_series$series_id

        # Check for valid results
        vt_null <- sapply(ls_series, is.null)

        # If nothing is valid
        if (sum(vt_null) == length(ls_series)) {

          # Stop
          paste0(
            "The following series don't have any data available:\n id  title\n",
            paste(
              formatC(df_series$series_id, digits = 3),
              substr(df_series$series_title, 1, 65),
              collapse = "\n"
            )
          )|>
            stop(call. = FALSE)

        } else {
          # If at least one is not NULL

          # If one is NULL, print a warning
          if (sum(vt_null) > 0) {
            df_series <- df_series[vt_null,]
            paste0(
              "The following series don't have any data available:\n",
              " id  title\n",
              paste(
                formatC(df_series$series_id, digits = 3),
                substr(df_series$series_title, 1, 65),
                collapse = "\n"
              )
            )|>
              warning()
          }

          # Remove the NULLs
          ls_series <- ls_series[!vt_null]

          # Return the list
          return(ls_series)

        }

      }

    }

  }

}

#' Get series data.frames
#'
#' @param series_id The series id to download
#'
#' @return a data.frame or a list
#'
#' @examplesIf aebdata:::test_connection_aeb()
#' get_series_csv(231)
#'
#' @noRd

get_series_csv <- function(series_id) {

  # List all csv files of a specific series
  vc_downloads <- "https://www.ipea.gov.br/atlasestado/consulta/" |>
    paste0(series_id) |>
    rvest::read_html() |>
    rvest::html_element(".modal-body") |>
    rvest::html_elements("a") |>
    rvest::html_attr("href") |>
    grep("\\.csv$", x = _, ignore.case = TRUE, value = TRUE)

  # Check if it is an empty vector
  if (length(vc_downloads) == 0) {
    return(NULL)
  }

  # Download if it is not an empty vector
  if (length(vc_downloads) == 1) {

    # Read the file as a data.frame
    df_series <- vc_downloads |>
      (\(x) paste0("https://www.ipea.gov.br/atlasestado/", x))() |>
      readr::read_delim(delim = ";", show_col_types = FALSE) |>
      as.data.frame()

  } else {

    # Read all files as data.frames
    df_series <- vc_downloads |>
      (\(x) paste0("https://www.ipea.gov.br/atlasestado/", x))() |>
      lapply(function(link) readr::read_delim(link,
                                              delim = ";",
                                              show_col_types = FALSE)) |>
      lapply(as.data.frame)

    # Assign names to each element based on the file name
    names(df_series) <- basename(vc_downloads) |>
      gsub("\\.csv$", "", x = _, ignore.case = TRUE)

  }

  return(df_series)

}

test_that("missing parameters", {
  expect_error(get_series())
})

test_that("wrong parameters", {
  # Totally wrong
  expect_error(get_series(series_id = 1))
  expect_error(get_series(series_title = "Test"))
  expect_error(get_series(series_id = 1, series_title = "Test"))
  # Partially wrong
  expect_warning(get_series(series_id = c(1, 215)))
  expect_warning(get_series(series_id = 215, series_title = "Test"))
})

test_that("empty series", {
  # all empty
  expect_error(get_series(series_id = 162))
  expect_error(get_series(series_id = c(162, 177)))
  # one works
  expect_warning(get_series(series_id = c(162, 215)))
})

test_that("get works", {
  rds <- readRDS(test_path("_data", "get.rds"))
  expect_equal(get_series(series_id = 215), rds$one)
  expect_equal(get_series(series_id = c(215, 197)),
               list(`215` = rds$one,
                    `197` = rds$multiple))
})

test_that("get_csv works", {
  rds <- readRDS(test_path("_data", "get.rds"))
  expect_null(get_series_csv(162))
  expect_equal(get_series_csv(215), rds$one)
  expect_equal(get_series_csv(197), rds$multiple)
})

#' Test the connection to the API
#'
#' @param api API to be tested
#'
#' @return Boolean
#'
#' @noRd

test_connection_aeb <- function(api = "series") {

  # Returns the status code of the connection to the API
  vc_status <- "https://www.ipea.gov.br/atlasestado/api/v1/" |>
    httr2::request() |>
    httr2::req_url_path_append(api) |>
    httr2::req_perform() |>
    httr2::resp_status() |>
    tryCatch(error = function(cnd) NULL)

  # A boolean value if the status is equal to 200
  vc_connected <- identical(vc_status, 200L)

  return(vc_connected)
}

#' List available themes
#'
#' `list_themes()` returns a data.frame containing all available themes and
#' their corresponding ids.
#'
#' @return A data.frame
#' @export
#'
#' @examplesIf aebdata:::test_connection_aeb("temas")
#' # Get the data frame and show the theme titles
#' themes <- list_themes()
#' themes$theme_title

list_themes <- function() {

  # Check connection
  if(!test_connection_aeb()) {

    cli::cli_alert_danger(
      "Could not connect. Please, check your connection or try again later."
    )

  } else {

    # Get the themes from API
    df_themes <- "https://www.ipea.gov.br/atlasestado/api/v1/temas" |>
      httr2::request() |>
      httr2::req_perform() |>
      httr2::resp_body_json() |>
      # Select only the title and id to avoid problems with subthemes
      lapply(`[`, c("titulo", "id")) |>
      do.call(rbind.data.frame, args = _)

    # Change the column names to more specific names
    names(df_themes) <- c("theme_title", "theme_id")

    # Return the object
    return(df_themes)

  }

}

#' List created series
#'
#' List all series from the Atlas, regardless of whether they have data
#' available for download or not.
#'
#' @param theme_id,theme_title Optional parameters that can be used individually
#'  or combined to filter the selected themes.
#'
#' @return A data.frame
#' @export
#'
#' @examplesIf aebdata:::test_connection_aeb("temas")
#' series <- list_series(theme_id = c(42, 50))
#' series$series_title
#' \donttest{
#' # List all series and count the number of series available
#' all_series <- list_series()
#' length(unique(all_series$series_id))
#'
#' # Count the number of series from Organizações do Estado theme
#' organizacoes <- list_series(theme_title = "Organizações do Estado")
#' nrow(organizacoes)
#' }

list_series <- function(theme_id = NULL, theme_title = NULL) {

  # List available themes
  df_themes <- aebdata::list_themes()

  # Check the need to filter specific themes
  if (!is.null(theme_id) | !is.null(theme_title)) {

    # Check if at least one theme_id or theme_title exists
    if (length(c(intersect(theme_id, df_themes$theme_id),
                 intersect(theme_title, df_themes$theme_title))) == 0) {
      if (is.null(theme_id) & !is.null(theme_title)) {
        stop("All theme_title's are missing", call. = FALSE)
      } else if (!is.null(theme_id) & is.null(theme_title)) {
        stop("All theme_id's are missing", call. = FALSE)
      } else if (!is.null(theme_id) & !is.null(theme_title)) {
        stop("All theme_id's and theme_title's are missing", call. = FALSE)
      }
    }

    # Check for missing values and warn about them
    if (length(setdiff(theme_id, df_themes$theme_id) > 0)) {
      paste(
        "Missing theme_id values:",
        paste(setdiff(theme_id, df_themes$theme_id), collapse = ", ")
      ) |>
        warning()
    }
    if (length(setdiff(theme_title, df_themes$theme_title) > 0)) {
      paste(
        "Missing theme_title values:",
        paste(setdiff(theme_title, df_themes$theme_title), collapse = ", ")
      ) |>
        warning()
    }

    # Filter the selected themes
    df_themes <- df_themes[df_themes$theme_id %in% theme_id |
                             df_themes$theme_title %in% theme_title, ]

  }

  # List series from each theme
  ls_series <- df_themes$theme_id |>
    lapply(function(id) list_series_id(theme_id = id))

  vc_theme_rep <- sapply(ls_series, nrow)

  # Bind the series
  df_series <- cbind(
    theme_title = rep(df_themes$theme_title, times = vc_theme_rep),
    theme_id = rep(df_themes$theme_id, times = vc_theme_rep),
    do.call(rbind, ls_series)
  )

  rm(vc_theme_rep, df_themes)

  return(df_series)

}

#' List series from a specific theme
#'
#' @param theme_id The theme's id to return series from.
#'
#' @return A data.frame containing serie_title and serie_id.
#'
#' @examplesIf aebdata:::test_connection_aeb()
#' list_series_id(theme_id = 26)
#'
#' @noRd

list_series_id <- function(theme_id) {
  df_series <- "https://www.ipea.gov.br/atlasestado/api/v1/series/" |>
    paste0(theme_id) |>
    httr2::request() |>
    httr2::req_perform() |>
    httr2::resp_body_json() |>
    lapply(`[`, c("titulo", "id")) |>
    do.call(rbind.data.frame, args = _)

  names(df_series) <- c("series_title", "series_id")

  return(df_series)
}

test_that("list works", {
  rds <- readRDS(test_path("_data", "list.rds"))
  expect_equal(list_themes(), rds$themes)
  expect_equal(list_series(theme_id = 50,
                           theme_title = "Militares na burocracia"),
               rds$militares_organizacoes)
})

test_that("wrong parameters", {
  # Totally wrong
  expect_error(list_series(theme_id = 1))
  expect_error(list_series(theme_title = "Test"))
  expect_error(list_series(theme_id = 1, theme_title = "Test"))
  # Partially wrong
  expect_warning(list_series(theme_id = c(1, 50)))
  expect_warning(list_series(theme_id = 50, theme_title = "Test"))
})

#' Search for specific words
#'
#' @description
#' The `search_series()` function provides a quick way to access a list of
#' series that may be of interest, along with their respective IDs. Each series
#' appears according to the number of themes it is present in.
#'
#' If one result should appear before the other, the result can be sorted by
#' using the word multiple times in the search, thus giving it greater
#' importance.
#'
#' @param words A word or an array of words to check
#' @param case_insensitive Ignore the difference between uppercase and lowercase
#' @param require_all Require all words
#'
#' @return A data.frame
#' @export
#'
#' @examplesIf aebdata:::test_connection_aeb() & requireNamespace("stringi", quietly = TRUE)
#' \donttest{
#' search_result <- search_series("regime de contratação")
#' search_result$series_title
#'
#' search_result <- search_series(c("remuneração", "raça"), require_all = TRUE)
#' search_result$series_title
#' }

search_series <- function(words, case_insensitive = TRUE, require_all = FALSE) {

  # Check if stringi is installed
  # nocov start
  if(!requireNamespace("stringi", quietly = TRUE)) {
    stop("This function needs the instalation of 'stringi' package",
         call. = FALSE)
  }
  # nocov end

  # List all series available
  series_df <- aebdata::list_series()

  # Search for each word in the list of titles and count the number of
  # occurrences
  result <- words |>
    sapply(
      function(x) stringi::stri_subset_fixed(
        unique(series_df$series_title),
        x,
        case_insensitive = case_insensitive)
    ) |>
    unlist() |>
    table() |>
    as.data.frame()

  # If is an empty result
  if (nrow(result) == 0 & ncol(result) == 1) {
    result <- data.frame(character(), integer(), character(), integer())
    names(result) <- c("series_title", "series_id", "theme_title", "theme_id")

    return(result)
  }

  names(result) <- c("series_title", "freq")

  # Remove cases where not all words were found when require_all = TRUE
  if (require_all) {
    result <- result[result$freq == length(words), ]
  }

  # Merge the data.frames and order by number of occurrences
  result <- merge(series_df, result, all.x = TRUE)
  result <- result[!is.na(result$freq), ]
  result <- result[order(-result$freq, result$series_id, result$theme_id), ]
  result <- result[,!names(result) %in% c("freq")]

  # Reorder columns
  result <- result[,c("series_title", "series_id", "theme_title", "theme_id")]

  # Remove original row numbers
  rownames(result) <- NULL

  return(result)
}

test_that("search works", {
  skip_if_not_installed("stringi")
  rds <- readRDS(test_path("_data", "search.rds"))
  expect_equal(search_series("militares"), rds$simple)
})

test_that("require_all works", {
  skip_if_not_installed("stringi")
  rds <- readRDS(test_path("_data", "search.rds"))
  expect_equal(search_series(c("militares", "cargos"), require_all = TRUE),
               rds$requireall_true)
})

test_that("case_insensitive works", {
  skip_if_not_installed("stringi")
  rds <- readRDS(test_path("_data", "search.rds"))
  expect_equal(search_series("CAP ", case_insensitive = FALSE),
               rds$caseinsensitive_false)
})

test_that("return empty", {
  skip_if_not_installed("stringi")
  expect_equal(search_series("miiltares"),
               data.frame(series_title = character(), series_id = integer(),
                          theme_title = character(), theme_id = integer()))
})

---
title: "Exploring The Data"
output: rmarkdown::html_vignette
vignette: >
  %\VignetteIndexEntry{Exploring The Data}
  %\VignetteEngine{knitr::rmarkdown}
  %\VignetteEncoding{UTF-8}
---

```{r, include = FALSE}
knitr::opts_chunk$set(
  collapse = TRUE,
  comment = "#>"
)
```

In this tutorial, we will utilize just our package: aebdata. Let us begin by loading the package:

```{r setup}
library(aebdata)
```

Now, let us assume that you desire to explore some of the series that are currently available. The primary function to be employed in this scenario would be to compile a list of the themes that are accessible.

```{r list-themes, eval = FALSE}
list_themes()
```
```{r list-themes-knit, echo = FALSE}
list_themes() |>
  knitr::kable(format = "html")
```

The two themes to be explored here will be "_Funcionalismo público por cor/raça_" and "_Desigualdades no setor público_". Let's use their respective ids in the series listing:

```{r list-series, eval = FALSE}
list_series(theme_id = c(41,49))
```
```{r list-series-knit, echo = FALSE}
list_series(theme_id = c(41,49)) |>
  knitr::kable(format = "html")
```

Looking at the series list, the two we wish to obtain data for at this moment are "_Remuneração média mensal de vínculos públicos por sexo e cor (2004-2021)_" and "_Total de vínculos públicos por cor e sexo (2004-2021)_". To retrieve the data, we will use the `get_series()` function with the desired ids.

```{r get-series}
downloaded_series <- get_series(series_id = c(240, 241))
```

And now the data frame is available:

```{r download-141, eval = FALSE}
head(downloaded_series$`240`)
```
```{r download-141-knit, echo = FALSE}
head(downloaded_series$`240`) |>
  knitr::kable(format = "html")
```

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/search.R
\name{search_series}
\alias{search_series}
\title{Search for specific words}
\usage{
search_series(words, case_insensitive = TRUE, require_all = FALSE)
}
\arguments{
\item{words}{A word or an array of words to check}

\item{case_insensitive}{Ignore the difference between uppercase and lowercase}

\item{require_all}{Require all words}
}
\value{
A data.frame
}
\description{
The \code{search_series()} function provides a quick way to access a list of
series that may be of interest, along with their respective IDs. Each series
appears according to the number of themes it is present in.

If one result should appear before the other, the result can be sorted by
using the word multiple times in the search, thus giving it greater
importance.
}
\examples{
\dontshow{if (aebdata:::test_connection_aeb() & requireNamespace("stringi", quietly = TRUE)) withAutoprint(\{ # examplesIf}
\donttest{
search_result <- search_series("regime de contratação")
search_result$series_title

search_result <- search_series(c("remuneração", "raça"), require_all = TRUE)
search_result$series_title
}
\dontshow{\}) # examplesIf}
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/list.R
\name{list_series}
\alias{list_series}
\title{List created series}
\usage{
list_series(theme_id = NULL, theme_title = NULL)
}
\arguments{
\item{theme_id, theme_title}{Optional parameters that can be used individually
or combined to filter the selected themes.}
}
\value{
A data.frame
}
\description{
List all series from the Atlas, regardless of whether they have data
available for download or not.
}
\examples{
\dontshow{if (aebdata:::test_connection_aeb("temas")) withAutoprint(\{ # examplesIf}
series <- list_series(theme_id = c(42, 50))
series$series_title
\donttest{
# List all series and count the number of series available
all_series <- list_series()
length(unique(all_series$series_id))

# Count the number of series from Organizações do Estado theme
organizacoes <- list_series(theme_title = "Organizações do Estado")
nrow(organizacoes)
}
\dontshow{\}) # examplesIf}
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/list.R
\name{list_themes}
\alias{list_themes}
\title{List available themes}
\usage{
list_themes()
}
\value{
A data.frame
}
\description{
\code{list_themes()} returns a data.frame containing all available themes and
their corresponding ids.
}
\examples{
\dontshow{if (aebdata:::test_connection_aeb("temas")) withAutoprint(\{ # examplesIf}
# Get the data frame and show the theme titles
themes <- list_themes()
themes$theme_title
\dontshow{\}) # examplesIf}
}

% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get.R
\name{get_series}
\alias{get_series}
\title{Get series values}
\usage{
get_series(series_id = NULL, series_title = NULL)
}
\arguments{
\item{series_id, series_title}{The series ids or titles to download}
}
\value{
A data.frame or a list containing the data from the series
}
\description{
The function \code{get_series()} is the main function of this package. Its goal
is to facilitate direct access to the data published in the Atlas do Estado
Brasileiro so that the user can work with them as they wish.
}
\details{
If the parameter used is for just one series, the result will be a data.frame
containing the requested information. Now, if the parameter refers to more
than one series, the return will be a list of data.frames, with each
data.frame corresponding to a series.
}
\examples{
\dontshow{if (aebdata:::test_connection_aeb()) withAutoprint(\{ # examplesIf}
# Get the series 230 and print the head
serie_230 <- get_series(series_id = 230)
head(serie_230)

# Get the series from 230 to 232 and print the head of the 232
\donttest{
series <- get_series(series_id = 230:232)
head(series[["232"]])
}
\dontshow{\}) # examplesIf}
}
